﻿Imports System.Windows.Forms

Module ModuleMain

    Sub Main()
        Dim TimoMsec As UInteger = 5000     ' 5000 msec
        Dim PrefixMain As String = "MA"
        Dim PrefixSub As String = "SU"
        Dim IPAdrs As String = "127.0.0.1"
        Dim PortNo As Integer = 5588
        Dim ConsoleSW As Integer = 0
        Dim buff As String

        Dim LogMain As UnicsLib4Log = New UnicsLib4Log(IPAdrs, PortNo, PrefixMain, ConsoleSW)
        Dim LogSub As UnicsLib4Log = New UnicsLib4Log(IPAdrs, PortNo, PrefixSub, ConsoleSW)

        If LogMain.WaitMonitorReady(TimoMsec) = 0 Then
            MessageBox.Show("UnicoMonitor が起動していません", "エラー", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Return
        End If

        For i = 0 To 99
#If PLATFORM = "x64" Then
            buff = "(x64 VB) Test Message for Main : [" + (i + 1).ToString() + "]"
#Else
            buff = "(x86 VB) Test Message for Main : [" + (i + 1).ToString() + "]"
#End If
            LogMain.Print(buff)

#If PLATFORM = "x64" Then
            buff = "(x64 VB) 01234567890123456789 for Sub : [" + (i + 1).ToString() + "]"
#Else
            buff = "(x86 VB) 01234567890123456789 for Sub : [" + (i + 1).ToString() + "]"
#End If
            LogSub.Print(buff)
        Next i

    End Sub

End Module
