#ifndef	___UNICOMONITORCLIENT___
#define	___UNICOMONITORCLIENT___

//-------------------------------------------------------------------------------------------------
// Copyright (C) 2015 Unicom System Inc. All rights reserved.
// URL http://unics.jp
//
// UnicoMonitorClient.dll ̃C^[tF[X`Ă܂
//-------------------------------------------------------------------------------------------------

#if defined(_UNICSDLL_)
   #define UNICS_API	__declspec(dllexport)
#else
   #define UNICS_API	__declspec(dllimport)
#endif

/*************************************************************************************************/
#ifdef __cplusplus
extern "C"
{
#endif

//-------------------------------------------------------------------------------------------------
// ftHgOJnɃR[()
// (UnicoMonitor.exe NĂȂꍇNBPC)
//
// DestIPAdrs : UnicoMonitor.exe NĂ PC  IPAhXw (e.g. "127.0.0.1")
// DestPortNo : UnicoMonitor.exe ̃|[gԍw                    (e.g. 5588       )
// Prefix     : Oʗp(2)                                (e.g. "MA"       )
// ConsoleSW  : R\[(Wo)ւ̏o̓XCb` (0:OFF/1:ON)
//
// ߂l     :  -> nhԍ(1~)
//            : s -> 0
//-------------------------------------------------------------------------------------------------
UNICS_API UINT WINAPI StartDefaultLogPrinter( char* DestIPAdrs, int DestPortNo, char* Prefix, int ConsoleSW );


//-------------------------------------------------------------------------------------------------
// OJnɃR[()
// (UnicoMonitor.exe NĂȂꍇNBPC)
//
// DestIPAdrs : UnicoMonitor.exe NĂ PC  IPAhXw (e.g. "127.0.0.1")
// DestPortNo : UnicoMonitor.exe ̃|[gԍw                    (e.g. 5588       )
// Prefix     : Oʗp(2)                                (e.g. "MA"       )
// ConsoleSW  : R\[(Wo)ւ̏o̓XCb` (0:OFF/1:ON)
//
// ߂l     :  -> nhԍ(1~)
//            : s -> 0
//-------------------------------------------------------------------------------------------------
UNICS_API UINT WINAPI StartLogPrinter( char* DestIPAdrs, int DestPortNo, char* Prefix, int ConsoleSW );


//-------------------------------------------------------------------------------------------------
// ftHgOo͂s
//
// fmt, ...   : ψ
//
// ߂l     :  -> ftHgnhԍ(1~)
//            : s -> 0
//-------------------------------------------------------------------------------------------------
UNICS_API UINT WINAPI _LogPrintf( const char* fmt, ... );


//-------------------------------------------------------------------------------------------------
// ftHgOo͂s
//
// buff       : o̓obt@|C^
//
// ߂l     :  -> ftHgnhԍ(1~)
//            : s -> 0
//-------------------------------------------------------------------------------------------------
UNICS_API UINT WINAPI _LogPrint( const char* buff );


//-------------------------------------------------------------------------------------------------
// Oo͂s
//
// Handle     : StartLogPrinter() Ŏ擾nhԍw
// fmt, ...   : ψ
//
// ߂l     :  -> nhԍ(1~)
//            : s -> 0
//-------------------------------------------------------------------------------------------------
UNICS_API UINT WINAPI LogPrintf( UINT Handle, const char* fmt, ... );


//-------------------------------------------------------------------------------------------------
// Oo͂s
//
// Handle     : StartLogPrinter() Ŏ擾nhԍw
// buff       : o̓obt@|C^
//
// ߂l     :  -> nhԍ(1~)
//            : s -> 0
//-------------------------------------------------------------------------------------------------
UNICS_API UINT WINAPI LogPrint( UINT Handle, const char* buff );


//-------------------------------------------------------------------------------------------------
// AvP[VIɃR[(I)
//
// Handle     : StartLogPrinter() Ŏ擾nhԍw
//            : Handle = 0 ̏ꍇAftHgnhԍw
//
// ߂l     :  -> nhԍ(1~)
//            : s -> 0
//-------------------------------------------------------------------------------------------------
UNICS_API UINT WINAPI StopLogPrinter( UINT Handle );


//-------------------------------------------------------------------------------------------------
// AvP[VIɃR[(I)
// (̃OĂɏI)
//
// ߂l     :  -> Iɐnh
//            : s -> 0
//-------------------------------------------------------------------------------------------------
UNICS_API UINT WINAPI StopLogPrinterAll();


//-------------------------------------------------------------------------------------------------
// \Pbg̏mF
//
// Handle     : StartLogPrinter() Ŏ擾nhԍw
//            : Handle = 0 ̏ꍇAftHgnhԍw
//
// ߂l     :  -> nhԍ(1~)
//            : s -> 0
//-------------------------------------------------------------------------------------------------
UNICS_API UINT WINAPI IsLogPrinterActive( UINT Handle );


//-------------------------------------------------------------------------------------------------
// UnicoMonitor.exe ̋N`FbN
//
// Handle     : StartLogPrinter() Ŏ擾nhԍw
//            : Handle = 0 ̏ꍇAftHgnhԍw
//
// ߂l     : N -> nhԍ(1~)
//            : N -> 0
//-------------------------------------------------------------------------------------------------
UNICS_API UINT WINAPI IsLogMonitorReady( UINT Handle );


//-------------------------------------------------------------------------------------------------
// UnicoMonitor.exe N܂ő҂
//
// Handle     : StartLogPrinter() Ŏ擾nhԍw
//            : Handle = 0 ̏ꍇAftHgnhԍw
// TimoMsec   : ^CAEgw (msecP)
//
// ߂l     : N -> nhԍ(1~)
//            : N -> 0
//-------------------------------------------------------------------------------------------------
UNICS_API UINT WINAPI WaitLogMonitorReady( UINT Handle, UINT TimoMsec );


#ifdef __cplusplus
}
#endif
/*************************************************************************************************/

#ifdef __cplusplus
/*************************************************************************************************/
namespace UnicsLib
{
	//-------------------------------------------------------------------------------------------------
	// CUnicoMonitorClient
	//-------------------------------------------------------------------------------------------------
	class UNICS_API CUnicoMonitorClient
	{
	private:
		UINT	m_Handle;

	private:
		CUnicoMonitorClient( const CUnicoMonitorClient& );
		CUnicoMonitorClient& operator =(const CUnicoMonitorClient&);

	public:
		//-------------------------------------------------------------------------------------------------
		// ftHgRXgN^
		//-------------------------------------------------------------------------------------------------
		CUnicoMonitorClient();

		//-------------------------------------------------------------------------------------------------
		// RXgN^
		// (UnicoMonitor.exe NĂȂꍇNBPC)
		//
		// DestIPAdrs : UnicoMonitor.exe NĂ PC  IPAhXw (e.g. "127.0.0.1")
		// DestPortNo : UnicoMonitor.exe ̃|[gԍw                    (e.g. 5588       )
		// Prefix     : Oʗp(2)                                (e.g. "MA"       )
		// ConsoleSW  : R\[(Wo)ւ̏o̓XCb` (0:OFF/1:ON)
		//-------------------------------------------------------------------------------------------------
		CUnicoMonitorClient( char* DestIPAdrs, int DestPortNo, char* Prefix, int ConsoleSW );

		//-------------------------------------------------------------------------------------------------
		// fXgN^
		//-------------------------------------------------------------------------------------------------
		virtual ~CUnicoMonitorClient();

		//-------------------------------------------------------------------------------------------------
		// ftHgRXgN^gpAOJnɃR[()
		// (UnicoMonitor.exe NĂȂꍇNBPC)
		//
		// DestIPAdrs : UnicoMonitor.exe NĂ PC  IPAhXw (e.g. "127.0.0.1")
		// DestPortNo : UnicoMonitor.exe ̃|[gԍw                    (e.g. 5588       )
		// Prefix     : Oʗp(2)                                (e.g. "MA"       )
		// ConsoleSW  : R\[(Wo)ւ̏o̓XCb` (0:OFF/1:ON)
		//
		// ߂l     :  -> nhԍ(1~)
		//            : s -> 0
		//-------------------------------------------------------------------------------------------------
		UINT Start( char* DestIPAdrs, int DestPortNo, char* Prefix, int ConsoleSW );

		//-------------------------------------------------------------------------------------------------
		// Oo͂s
		//
		// fmt, ...   : ψ
		//
		// ߂l     :  -> 0ȊO
		//            : s -> 0
		//-------------------------------------------------------------------------------------------------
		UINT Printf( const char* fmt, ... );


		//-------------------------------------------------------------------------------------------------
		// Oo͂s
		//
		// buff       : o̓obt@|C^
		//
		// ߂l     :  -> 0ȊO
		//            : s -> 0
		//-------------------------------------------------------------------------------------------------
		UINT Print( const char* buff );


		//-------------------------------------------------------------------------------------------------
		// AvP[VIɃR[(I)
		//
		// ߂l     :  -> 0ȊO
		//            : s -> 0
		//-------------------------------------------------------------------------------------------------
		UINT Stop();


		//-------------------------------------------------------------------------------------------------
		// \Pbg̏mF
		//
		// ߂l     :  -> 0ȊO
		//            : s -> 0
		//-------------------------------------------------------------------------------------------------
		UINT IsActive();


		//-------------------------------------------------------------------------------------------------
		// UnicoMonitor.exe ̋N`FbN
		//
		// ߂l     : N -> 0ȊO
		//            : N -> 0
		//-------------------------------------------------------------------------------------------------
		UINT IsMonitorReady();


		//-------------------------------------------------------------------------------------------------
		// UnicoMonitor.exe N܂ő҂
		//
		// TimoMsec   : ^CAEgw (msecP)
		//
		// ߂l     : N -> 0ȊO
		//            : N -> 0
		//-------------------------------------------------------------------------------------------------
		UINT WaitMonitorReady( UINT TimoMsec );
	};
}
/*************************************************************************************************/
#endif

#endif

/***** [ EOF ] ****************************************************************/
